/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package incomingmessage;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.ServerSocket;
import java.net.Socket;

/**
 *
 * @author user
 */
public class IncomingMessage {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws IOException {
        try (ServerSocket listener = new ServerSocket(7783)) {
            while (true) {
                try (Socket socket = listener.accept()) {
                    String inputResponse = GetResponse(socket.getInputStream());
                    String sender = GetValue(inputResponse, "Sender");
                    String message = GetValue(inputResponse, "Message").replace("+", " ");
                    
                    System.out.println("Incoming message from " + sender);
                    System.out.println("Message:");
                    System.out.println(message);
                    System.out.println("--------------------------------------------------------");
                    System.out.println("");
                    
                    socket.close();
                }
            }
        }
    }

    private static String GetResponse(InputStream pInputStream) throws IOException {
        byte[] b = new byte[pInputStream.available()];
        pInputStream.read(b);

        return new String(b);
    }

    private static String GetValue(String pContent, String pInfoName) {
        String value;

        int beginIndex = pContent.indexOf(pInfoName);
        int endIndex = pContent.indexOf("&", beginIndex);

        value = pContent.substring(beginIndex, endIndex).split("=")[1];

        return value;
    }
}
